<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI Definitions Parser/Enums.cs File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_89954dc11be795b7a4ad4ec006011750.html">xAPI Definitions Parser</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle"><div class="title">Enums.cs File Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><b>xAPI_Definitions_Parser.EnumMethods</b></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class with enum methods <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacex_a_p_i___definitions___parser"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ae7ab0827c0b34ea00630d33893561186"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacex_a_p_i___definitions___parser.html#ae7ab0827c0b34ea00630d33893561186">xAPI_Definitions_Parser.SourceType</a> { <a class="el" href="namespacex_a_p_i___definitions___parser.html#ae7ab0827c0b34ea00630d33893561186a509820290d57f333403f490dde7316f4">xAPI_Definitions_Parser.Local</a>
, <a class="el" href="namespacex_a_p_i___definitions___parser.html#ae7ab0827c0b34ea00630d33893561186acf0a6993a4b526850302726c7cca0e7f">xAPI_Definitions_Parser.GitLab</a>
 }</td></tr>
<tr class="memdesc:ae7ab0827c0b34ea00630d33893561186"><td class="mdescLeft">&#160;</td><td class="mdescRight">Source types  <a href="namespacex_a_p_i___definitions___parser.html#ae7ab0827c0b34ea00630d33893561186">More...</a><br /></td></tr>
<tr class="separator:ae7ab0827c0b34ea00630d33893561186"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad50b8a1de7c637d2d740f48640c5e828"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacex_a_p_i___definitions___parser.html#ad50b8a1de7c637d2d740f48640c5e828">xAPI_Definitions_Parser.CodeLanguage</a> { <a class="el" href="namespacex_a_p_i___definitions___parser.html#ad50b8a1de7c637d2d740f48640c5e828a83925001a044cdfe0c64e9a44345b66d">xAPI_Definitions_Parser.CSharp</a>
, <a class="el" href="namespacex_a_p_i___definitions___parser.html#ad50b8a1de7c637d2d740f48640c5e828a686155af75a60a0f6e9d80c1f7edd3e9">xAPI_Definitions_Parser.JavaScript</a>
, <a class="el" href="namespacex_a_p_i___definitions___parser.html#ad50b8a1de7c637d2d740f48640c5e828aa7f5f35426b927411fc9231b56382173">xAPI_Definitions_Parser.Python</a>
 }</td></tr>
<tr class="memdesc:ad50b8a1de7c637d2d740f48640c5e828"><td class="mdescLeft">&#160;</td><td class="mdescRight">Code languages  <a href="namespacex_a_p_i___definitions___parser.html#ad50b8a1de7c637d2d740f48640c5e828">More...</a><br /></td></tr>
<tr class="separator:ad50b8a1de7c637d2d740f48640c5e828"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7304fe36f516e10a19758f58fa541433"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">xAPI_Definitions_Parser.Modifier</a> { <br />
&#160;&#160;<a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433a3d067bedfe2f4677470dd6ccf64d05ed">xAPI_Definitions_Parser.Public</a>
, <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433a47f9082fc380ca62d531096aa1d110f1">xAPI_Definitions_Parser.Private</a>
, <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433a56f0605c9795b173abd2e34fab7fc164">xAPI_Definitions_Parser.Protected</a>
, <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433a84a8921b25f505d0d2077aeb5db4bc16">xAPI_Definitions_Parser.Static</a>
, <br />
&#160;&#160;<a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433a615e6f9baca5553d44683a098d342b70">xAPI_Definitions_Parser.Virtual</a>
<br />
 }</td></tr>
<tr class="memdesc:a7304fe36f516e10a19758f58fa541433"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access modifiers  <a href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">More...</a><br /></td></tr>
<tr class="separator:a7304fe36f516e10a19758f58fa541433"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
